//
// This source file is a part of ParCompMark
// Parallel Compositing Benchmark Framework
//
// for latest info see http://parcompmark.sourceforge.net

//
// Copyright (C) 2006 IT2 ParCompMark Dev. Team
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

//
// Clean up framework
//

register_command("cleanup", "Clean up framework");

function cleanup_help() {
    local command_help = {
        name = "cleanup"
        usage = "cleanup"
        description = "Clean up framework, remove previously grathered statistics etc."
        parameters = []
        see_also = ["start", "stop"]
    };

    print_command_help(command_help);
}

function cleanup(args) {

    if(Application.getInstance().getCompRun()) {
	print("Benchmark is runnig. Please stop before cleaning\n");
    }

    else {
	print("Cleaning up framework...\n");
	Application.getInstance().cleanup();
    }
}
