
//
// This source file is a part of ParCompMark
// Parallel Compositing Benchmark Framework
//
// for latest info see http://parcompmark.sourceforge.net

//
// Copyright (C) 2006 IT2 ParCompMark Dev. Team
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/// @file TestFileSystemManager.cpp
/// Test case implementation for class FileSystemManager.

#include "../include/TestFileSystemManager.h"

namespace ParCompMarkTest
{

  void TestFileSystemManager::setUp()
  {
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::tearDown()
  {
  }

 /*----------------------------------------------------------------------*/

  //
  // Constructor & destructor tests
  //

  void TestFileSystemManager::test_constructor_cstd__string_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Creates file system manager.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_destructor()
  {

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  //
  // Class method tests
  //

  void TestFileSystemManager::test_getInstance()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Gets the instance of the singleton class. Reimplemented for squirrel usage.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_closeFile_FileSystemManager__CppFilePointer()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Close file from fstream object. This method is static to be able to close the logfile.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_closeFile_FileSystemManager__CFilePointer()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Close file from C-style pointer. This method is static to be able to close the logfile.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  //
  // Method tests
  //

  void TestFileSystemManager::test_initialize()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Initialize the file system manager.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_finalize()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Finalize the file system manager.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_existsDirectory_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Return true if the specified directory exists.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_createDirectory_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Create directory.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_findDataDirectory()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Find data directory path. Throw exception if not found.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_existsLibrary_cstd__string_cstd__vector___std__string__()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Returns true if the library can be found.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_findLibraryPath_cstd__string_cstd__vector___std__string__()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Find path for library. Throw exception if not found.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_listDirectory_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * List files in the specified directory. Throw exception if not found.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_listDataDirectory_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * List files in the specified directory relative to the data directory. Throw exception if not found.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_existsFile_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Return true if the specified file exists.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_existsAppFile_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Return true if the specified file exists in the application directory.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_existsDataFile_cchar_p()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Return true if the specified file exists in the data directory.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_openFileC_cstd__string_cFileOperation()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Open file for reading or writing and return a C-style file pointer.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_openAppFileC_cstd__string_cFileOperation()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Open file for reading or writing in the application directory and return a C-style file pointer.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_openDataFileC_cstd__string_cFileOperation()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Open file for reading or writing in the application data directory and return a C-style file pointer.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_openFileCpp_cstd__string_cFileOperation()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Open file for reading or writing and return a fstream object.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_openAppFileCpp_cstd__string_cFileOperation()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Open file for reading or writing in the application directory and return a fstream object.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_openDataFileCpp_cstd__string_cFileOperation()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Open file for reading or writing in the application data directory and return a fstream object.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_getPathDataFile_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Get full path of the specified data file.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_readTextFile_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Read contents of a text file.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_readAppTextFile_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Read contents of a text file in the application directory.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test_readDataTextFile_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Read contents of a text file in the application data directory.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test__findHomeDirectory()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Find the home directory of the user on the filesystem.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test__replaceHomeChar_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Replace '~' char in the specified path string.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test__translateToAbsolutePath_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Translate relative path to absolute (also replace '~' char in the specified path string).
	 * Original code: http://www.codeproject.com/useritems/path_conversion.asp
	 * 
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestFileSystemManager::test__createAppDirectory()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Create user-level application directory. Do nothing if already exists.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  // To register the suite we add:
  /// \skip CPPUNIT_TEST_SUITE_REGISTRATION
  CPPUNIT_TEST_SUITE_REGISTRATION(TestFileSystemManager);
}
