//
// This source file is a part of ParCompMark
// Parallel Compositing Benchmark Framework
//
// for latest info see http://parcompmark.sourceforge.net

//
// Copyright (C) 2006 IT2 ParCompMark Dev. Team
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

//
// PC API constants
//

// PC constants for setters of the context
PC_PF_BGRA8 <- 0x30001
PC_PF_RGBA8 <- 0x30002
PC_PF_BGR8 <- 0x30003

PC_PF_Z32I <- 0x30100
PC_PF_Z32F <- 0x30200
PC_PF_Z24I <- 0x30300
PC_PF_Z8I <- 0x30400

PC_COMP_DEPTH <- 0x2001
PC_COMP_ALPHA_SORT <- 0x2003

PC_COMPRESSION_NONE <- 0x0000
PC_COMPRESSION_LOW <- 0x0001
PC_COMPRESSION_MED <- 0x0002
PC_COMPRESSION_HIGH <- 0x0003

PC_ID_DEFAULT <- 0x7FFFFFFF
