
//
// This source file is a part of ParCompMark
// Parallel Compositing Benchmark Framework
//
// for latest info see http://parcompmark.sourceforge.net

//
// Copyright (C) 2006 IT2 ParCompMark Dev. Team
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

/// @file TestRendererPlugin.cpp
/// Test case implementation for class RendererPlugin.

#include "../include/TestRendererPlugin.h"

namespace ParCompMarkTest
{

  void TestRendererPlugin::setUp()
  {
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::tearDown()
  {
  }

 /*----------------------------------------------------------------------*/

  //
  // Constructor & destructor tests
  //

  void TestRendererPlugin::test_constructor_cPlugin__PluginType_cstd__string_cstd__string()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Create a renderer plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_destructor()
  {

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  //
  // Class method tests
  //

  void TestRendererPlugin::test__bufferGetter_cvoid_p_cchar_p_void_p()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Buffer getter function with simple C style interface can be called by the plugin.
	 * If the pBufferData is not null, the specified buffer will be locked and its data will be retrieved.
	 * When the pBufferData is null, the locked buffer will be unlocked.
	 * 
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  //
  // Method tests
  //

  void TestRendererPlugin::test_createRenderer_GLXRenderWindow__Pointer_OpenGLRenderingEngine_p()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Create renderer object. Also call OpenGL intialization code for the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_destroyRenderer_Renderer_p()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Destroy the specified renderer.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_resize_void_p_cu32_cu32()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmOnResize event handler of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_getSortOrder_void_p()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmGetSortOrder function of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_render_void_p_cdouble_cunsigned()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmOnRender event handler of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_setMiscParam_void_p_cchar_p_cchar_p()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmSetMiscParam function of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_setObjectSpaceBoundingBox_void_p_cdouble_cdouble_cdouble_cdouble_cdouble_cdouble()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmSetObjectSpaceBoundingBox function of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_setObjectId_void_p_cunsigned()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmSetObjectId function of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test_setScreenSpaceFramelet_void_p_cdouble_cdouble_cdouble_cdouble()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmSetScreenSpaceFramelet function of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin:: 
	test_registerObjectSpaceBoundingBox_void_p_cdouble_cdouble_cdouble_cdouble_cdouble_cdouble()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Call the pcmRegisterObjectSpaceBoundingBox function of the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test__initializeSpecific()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Specific initialization code.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test__finalizeSpecific()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Specific finalization code.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test__setBufferGetter()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Set buffer getter function to the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test__getNeededOpenGLExts()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Get needed OpenGL externsions from the plugin.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  void TestRendererPlugin::test__initFastFunctions()
  {

	/*
	 * You have to verify the following:
	 * 
	 * Initialize mPcmOnResize and mPcmOnRender function pointers. These function calls should be fast.
	 */

	CPPUNIT_FAIL("Implement this test!");
  }

 /*----------------------------------------------------------------------*/

  // To register the suite we add:
  /// \skip CPPUNIT_TEST_SUITE_REGISTRATION
  CPPUNIT_TEST_SUITE_REGISTRATION(TestRendererPlugin);
}
